# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include empresa_videojuegos
class empresa_videojuegos {
  service { 'mysql':
    ensure => running,
    enable => true,
  }
  exec { 'crear_indice_idx_cliente_id':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"CREATE INDEX idx_cliente_id ON compras (cliente_id);\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  exec { 'analizar_juegos':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"ANALYZE TABLE juegos;\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  exec { 'optimizar_juegos':
    command  => "mysql -u root -p2022iaw -D empresa_videojuegos -e \"OPTIMIZE TABLE juegos;\"",
    provider => 'shell',
    require  => Service['mysql'],
  }
  file { '/etc/mysql/my.cnf':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('empresa_videojuegos/my.cnf.erb'),
    notify  => Service['mysql'],
  }
  exec { 'restart_mysql':
    command     => 'systemctl restart mysql',
    path        => '/usr/bin:/usr/sbin:/bin:/sbin',
    refreshonly => true,
    logoutput   => true,
    unless      => 'systemctl is-active mysql | grep -q "inactive"',
  }
}
